gnutls_dtls_set_timeouts(3)

NAME
gnutls_dtls_set_timeouts - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_dtls_set_timeouts(gnutls_session_t session, unsigned int retrans_timeout, unsigned int total_timeout);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int retrans_timeout
    The time at which a retransmission will occur in milliseconds

unsigned int total_timeout
    The time at which the connection will be aborted, in milliseconds.

DESCRIPTION
This function will set the timeouts required for the DTLS handshake protocol. The retransmission timeout is the time after which a message from the peer is not received, the previous messages will be retransmitted. The total timeout is the time after which the handshake will be aborted with GNUTLS_E_TIMEDOUT. The DTLS protocol recommends the values of 1 sec and 60 seconds respectively. If the retransmission timeout is zero then the handshake will operate in a non-blocking way, i.e., return GNUTLS_E_AGAIN.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.